version: '3'
services:
  wpshop:
    image: webdevops/php-nginx:7.4
    container_name: wpshop
    restart: always
    expose:
    - "80"
    - "9875"
    ports:
    - "9875:9875"
    environment:
    - YII_ENV=test
    - YII_DEBUG=1
    - VIRTUAL_HOST=www.teesvile.com
    - WEB_DOCUMENT_ROOT=/project/
    - LETSENCRYPT_HOST=www.teesvile.com
    - php.post_max_size=100M
    - php.upload_max_filesize=100M
    - php.max_input_time=6000
    - php.memory_limit=128M
    - php.max_execution_time=6000
    - php.set_time_limit=600
    #- php.session.save_handler=redis
    #- php.session.save_path=tcp://redis:6379
    #- php.session.gc_maxlifetime=864000
    volumes:
    - /data:/data
    - ../:/project
    - /var/spool/cron/crontabs:/var/spool/cron/crontabs
    - ./socket.io.nginx.conf:/opt/docker/etc/nginx/vhost.common.d/10-location-root.conf
    - ./10-general.conf:/opt/docker/etc/nginx/vhost.common.d/10-general.conf
    - /etc/localtime:/etc/localtime

    network_mode: docker_network
networks:
  default:
    external:
      name: docker_network
